package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ModifyPasswordDTO {

    @NotBlank(message = "旧密码不能为空!")
    private String oldPassword;

    @NotBlank(message = "新密码不能为空!")
    private String newPassword;

    @NotBlank(message = "确认新密码不能为空!")
    private String newPasswordConfirm;
}
