package com.isu.gaswellwatch.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

@Data
@Builder
public class RoleMenu extends Model<RoleMenu> {

    private Long id;
    //角色id
    private Long roleId;
    //菜单id
    private Long menuId;
    //类型（0-只能查,1-可查可控,2-编辑组态）
    private String identifier;
    //创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    //更新时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}

